#
# spec file for package freeradius-client
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           freeradius-client
Summary:        FreeRADIUS Client Software
License:        BSD-2-Clause
Group:          Productivity/Networking/Radius/Clients
Version:        1.1.6
Release:        66.1
Obsoletes:      radiusclient radiusclient-ng
Url:            http://www.freeradius.org/freeradius-client/
Source0:        %{name}-%{version}.tar.bz2
Source1:        README.SUSE
Source2:        login.example
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A portable, easy-to-use and standard compliant library suitable for
developing free and commercial software that need support for a RADIUS
protocol (RFCs 2128 and 2139).



Authors:
--------
    Peter Nixon <peter@suntel.com.tr>

%package libs
Summary:        Shared library of FreeRADIUS Client

%description libs
The package contains the shared library of FreeRADIUS Client



Authors:
--------
    Peter Nixon <peter@suntel.com.tr>

%package devel
Summary:        Header files, libraries and development documentation for freeradius-client
Requires:       %{name}-libs = %{version} glibc-devel

%description devel
This package contains the header files, static libraries and
development documentation for freeradius-client. You need to install
freeradius-client-devel if you want to develop applications using
freeradius-client.



Authors:
--------
    Peter Nixon <peter@suntel.com.tr>

%prep
%setup -q
find -type d -name CVS -print | xargs rm -rf
cp %{S:1} .
cp %{S:2} login.radius

%build
autoreconf -fiv
%configure \
    --localstatedir=/var/lib \
    --enable-shadow \
    --with-secure-path \
	--disable-static \
	--with-pic
make %{?jobs:-j%jobs}

%install
make "DESTDIR=$RPM_BUILD_ROOT" install
rm -f $RPM_BUILD_ROOT/%{_sbindir}/login.radius
rm -f login.radius/Makefile*
rm -f login.radius/migs/Makefile*
rm -f %{buildroot}%{_libdir}/*.la

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%doc BUGS COPYRIGHT README README.radexample doc/ChangeLog doc/instop.html doc/login.example
%doc login.radius README.SUSE
%dir %{_sysconfdir}/radiusclient
%{_sysconfdir}/radiusclient/dictionary
%{_sysconfdir}/radiusclient/dictionary.*
%config(noreplace) %{_sysconfdir}/radiusclient/radiusclient.conf
%config(noreplace) %{_sysconfdir}/radiusclient/issue
%config(noreplace) %{_sysconfdir}/radiusclient/port-id-map
%config(noreplace) %{_sysconfdir}/radiusclient/servers
%{_sbindir}/*

%files libs
%defattr(-, root, root)
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/*.h

%changelog
* Tue Dec  6 2011 coolo@suse.com
- BAD2c is not a license
* Sat Oct  1 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Tue Feb 17 2009 prusnak@suse.cz
- fix garbled login.example file [bnc#469682]
* Wed Mar 19 2008 prusnak@suse.cz
- updated to 1.1.6
  o Added dead_time functionality / configuration
  o Merge in fixes and enhancements from 'radiusclient-ng'
  o Improved functionality for embedded operation
  - In use in FreeSWITCH and OpenSER projects
  o Wrap gethostby*() family of calls with threadsafe variants
  o Change UINT4 to uint32_t, int to size_t, etc.
  o Fixed wrong usage of strncat function in several places
- dropped obsoleted patches:
  * return.patch (included in update)
  * strncat.patch (included in update)
* Wed Mar  5 2008 crrodriguez@suse.de
- fix build in BETA
- disable static libraries
* Wed Nov  7 2007 prusnak@suse.cz
- change %%{version}-%%{release} to %%{version} in Requires tag
* Thu Mar  8 2007 prusnak@suse.cz
- created package from BuildService
  * project: network:aaa
  * package: freeradius-client
  * version: 1.1.5
